NXOpen.UF.Draw.CreateRevolvedSxview

Draw.CreateRevolvedSxview()

Refer to UF_DRAW_create_revolved_sxview for documentation.

Signature: CreateRevolvedSxview(dwgTag, sxviewScale, stepDir, arrowDir, pviewTag, rotptObject, numSxsegs, numLeg1Sxsegs, revSxsegs, viewPlacementPt)

Parameters:
  • dwgTag (Tag) – Drawing tag
  • sxviewScale (float) – Section view scale
  • stepDir (list of float) – Step direction vector (unitized) relative to the drawing: step_dir[0] = x value step_dir[1]= y value step_dir[2] = z value
  • arrowDir (list of float) – Arrow direction vector (unitized) relative to the drawing. arrow_dir[0] = x value arrow_dir[1] = y value arrow_dir[2] = z value
  • pviewTag (Tag) – Parent view tag
  • rotptObject (NXOpen.UF.Drf.Object Refer to UF_DRF_object_s for documentation.) – Object defining rotation point associativity.
  • numSxsegs (int) – Number of section segments used to initially define the section line. A cut segment must be defined (num_segs must be > 0). This number defines the size of the rev_sxseg_objects array. A section line cannot have more than 99 segments and cannot have more than 49 cut segments.
  • numLeg1Sxsegs (int) – Number of section segments input to define the first leg. Cannot be greater than num_segs. Any remaining segments define leg2.
  • revSxsegs (list of NXOpen.UF.Draw.SxlineSxsegs Refer to UF_DRAW_sxline_sxsegs_s for documentation.) – For each section segment defined, a segment type is given that determines whether the segment is a cut, bend, or arrow. Bend and arrow segments are optional. Also, for each section segment defined, an object is given to define the section segment associativity.
  • viewPlacementPt (list of float) – View placement point on drawing in absolute drawing coordinates (x,y))
Returns:

Tag of newly created section view

Return type:

Tag

License requirements: DRAFTING